<!doctype html >
<html lang="en" xmlns:th="http://thymeleaf.org">
<!-- Required meta tags -->
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Invited Webinars</title>

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" th:href="@{/css/sidebar.css}">
  <link href='https://unpkg.com/boxicons@2.0.7/css/boxicons.min.css' rel='stylesheet'>
  <link rel="stylesheet" th:href="@{/assets/css/list-request-penyelenggara.css}">
  <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>
<body>
<div class="sidebar">
  <div class="logo-details">
    <i class=" icon">
      <svg width="20" height="20" viewBox="0 0 38 38" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M13.3333 36V24.6667H2V13.3333H13.3333V2H24.6667V13.3333H36V24.6667H24.6667V36H13.3333Z" stroke="white" stroke-width="3"/>
      </svg>
    </i>
    <div class="logo_name">Medis</div>
    <i class='bx bx-menu' id="btn" ></i>
  </div>
  <ul class="nav-list">
    <li>
      <a th:href="@{/}">
        <i class='bx bxs-home'></i>
        <span class="links_name">Home</span>
      </a>
      <span class="tooltip">Home</span>
    </li>
    <li>
      <a th:href="@{/invited-speaker/dashboard/list-invited-webinar}">
        <i class='bx bx-video-recording' ></i>
        <span class="links_name">Invited Webinars</span>
      </a>
      <span class="tooltip">Invited Webinars</span>
    </li>
    <li>
      <a th:href="@{/invited-speaker/dashboard/ubah-password}">
        <i class='bx bx-key'></i>
        <span class="links_name">Change Password</span>
      </a>
      <span class="tooltip">Change Password</span>
    </li>
    <li class="profile">
      <!--    TODO: Fetch data untuk nama, email, dan profile user    -->
      <div class="profile-details">
        <img src="/img/profile-2.jpg" alt="profileImg">
        <div class="name_job">
          <div class="name">Nama</div>
          <div class="email-sidebar">Email</div>
        </div>
      </div>
      <a href="/logout">
        <i class='bx bx-log-out' id="log_out"></i>
      </a>
    </li>
  </ul>
</div>

<section class="content-sidebar-section">
  <div class="text">Invited Webinars</div>
  <div class="list-penyelenggara-wrapper">
    <form>
      <div class="form-group layout-form card-table-2 stretch-card">
        <div class="dropdown">
          <select class="form-control btn btn-outline-secondary dropdown-toggle" name="status" id="statusDropdown" onchange="submitForm(event)" style="width: 230px; height: 48px;  margin: 0px; text-indent: 12px;">
            <option value="" disabled selected>Status</option>
            <option value="All">All</option>
            <option value="Upcoming">Upcoming</option>
            <option value="Done">Done</option>
          </select>
        </div>
        <a id="buttonDetail-3"
           onmouseover="this.style.backgroundColor='#e75458'; this.style.color='#fff';"
           onmouseout="this.style.backgroundColor='#F67280'; this.style.color='#fff';"
           style="display: inline-block; background: #F67280; border: 1px solid #F67280; border-radius: 10px;color: #ffffff; padding: 10px 20px; font-size: 16px; font-weight: bold; text-decoration: none; text-align: center; height: 40px;"
           class="btn-primary">
            <span style="margin-right: 10px">
              <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="#fff" class="bi bi-box-arrow-in-down" viewBox="0 0 16 16">
              <path fill-rule="evenodd" d="M3.5 6a.5.5 0 0 0-.5.5v8a.5.5 0 0 0 .5.5h9a.5.5 0 0 0 .5-.5v-8a.5.5 0 0 0-.5-.5h-2a.5.5 0 0 1 0-1h2A1.5 1.5 0 0 1 14 6.5v8a1.5 1.5 0 0 1-1.5 1.5h-9A1.5 1.5 0 0 1 2 14.5v-8A1.5 1.5 0 0 1 3.5 5h2a.5.5 0 0 1 0 1h-2z"/>
              <path fill-rule="evenodd" d="M7.646 11.854a.5.5 0 0 0 .708 0l3-3a.5.5 0 0 0-.708-.708L8.5 10.293V1.5a.5.5 0 0 0-1 0v8.793L5.354 8.146a.5.5 0 1 0-.708.708l3 3z"/>
            </svg>
            </span>
          Download All
        </a>
      </div>

    </form>
    <div style="padding: 20px; margin-top: 20px" class="card-table stretch-card shadow-lg ">
      <div class="col-lg-12">
        <main>
          <div class="container main" style="align-items: start;">
            <tbody class="table-responsive">
            <table class="table">
              <thead>
              <tr>
                <th>No</th>
                <th>Nama Webinar</th>
                <th>Tanggal Webinar</th>
                <th>Penyelenggara</th>
                <th>Status</th>
                <th>Sertifikat</th>
                <th>Action</th>
              </tr>
              </thead>
              <tbody id="tableBody">
              <!--   this is where the table body loaded     -->
              <script>
                  $(function() {
                      $('#tableBody').load(`/invited-speaker/dashboard/list-invited-webinar/table-body-invited-webinar.html?status=All`);
                  });
              </script>
              </tbody>
            </table>
          </div>
        </main>
      </div>
    </div>
  </div>

</section>
<script>
    let sidebar = document.querySelector(".sidebar");
    let closeBtn = document.querySelector("#btn");

    closeBtn.addEventListener("click", ()=>{
        sidebar.classList.toggle("open");
        console.log("Button clicked!"); //tambahkan console log
        console.log(sidebar.classList);
        menuBtnChange();//calling the function(optional)
    });

    // following are the code to change sidebar button(optional)
    function menuBtnChange() {
        if(sidebar.classList.contains("open")){
            closeBtn.classList.replace("bx-menu", "bx-menu-alt-right");//replacing the icons class
        }else {
            closeBtn.classList.replace("bx-menu-alt-right","bx-menu");//replacing the icons class
        }
    }

    function submitForm(event) {
        $(function() {
            $('#tableBody').load(`/invited-speaker/dashboard/list-invited-webinar/table-body-invited-webinar.html?status=${event.target.value}`);
        });
        console.log(event.target.value)
        console.log("hai")
    }
</script>
</body>

</html>